OpenJPEG 2.5.2

Data Fields
opj_jp2_cdef_info Struct Reference

Channel description: channel index, type, association. More...

`#include <jp2.h>`

## Data Fields
OPJ_UINT16 | cn
OPJ_UINT16 | typ
OPJ_UINT16 | asoc

## Detailed Description

Channel description: channel index, type, association.

## Field Documentation

## ◆ asoc

OPJ_UINT16 opj_jp2_cdef_info::asoc

Referenced by opj_jp2_apply_cdef(), opj_jp2_read_cdef(), opj_jp2_setup_encoder(), and opj_jp2_write_cdef().

## ◆ cn

OPJ_UINT16 opj_jp2_cdef_info::cn

Referenced by opj_jp2_apply_cdef(), opj_jp2_read_cdef(), opj_jp2_setup_encoder(), and opj_jp2_write_cdef().

## ◆ typ

OPJ_UINT16 opj_jp2_cdef_info::typ

Referenced by opj_jp2_apply_cdef(), opj_jp2_read_cdef(), opj_jp2_setup_encoder(), and opj_jp2_write_cdef().

The documentation for this struct was generated from the following file:

- jp2.h